(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      5611,        180]
NotebookOptionsPosition[      5128,        161]
NotebookOutlinePosition[      5508,        177]
CellTagsIndexPosition[      5465,        174]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"Tanh", "[", 
       RowBox[{"k", "*", 
        RowBox[{"Sin", "[", 
         RowBox[{"2", "Pi", "*", 
          FractionBox["t", "Tnom"]}], "]"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", 
        RowBox[{
         RowBox[{"-", "2"}], "Tnom"}], ",", "Tnom"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Automatic", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"k", ",", "5"}], "}"}], ",", "1", ",", "40", ",", "1"}], 
     "}"}]}], "]"}], "*)"}]], "Input",
 CellChangeTimes->{3.5279150638746033`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"R", "=", "100"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c", "=", 
   SuperscriptBox["10", 
    RowBox[{"-", "6"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tnom", "=", 
   RowBox[{"R", "*", "c"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"u1", "[", "t_", "]"}], ":=", 
   RowBox[{"Tanh", "[", 
    RowBox[{"1000", "*", 
     RowBox[{"Sin", "[", 
      RowBox[{"2", "Pi", "*", 
       FractionBox["t", "Tnom"]}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqnR", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"u1", "[", "t", "]"}], "-", 
      RowBox[{"u2", "[", "t", "]"}]}], "\[Equal]", 
     RowBox[{"R", "*", 
      RowBox[{"iR", "[", "t", "]"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqnC", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"iC", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"c", "*", 
       RowBox[{
        RowBox[{"u2", "'"}], "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"u2", "[", "0", "]"}], "==", "0"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqnConnection", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"iR", "[", "t", "]"}], "\[Equal]", 
     RowBox[{"iC", "[", "t", "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqnsTogether", "=", 
   RowBox[{"Union", "[", 
    RowBox[{"eqnC", ",", "eqnConnection", ",", "eqnR"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", 
   RowBox[{"5", "*", "Tnom"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"sol", "=", 
  RowBox[{"NDSolve", "[", 
   RowBox[{"eqnsTogether", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"u2", "[", "t", "]"}], ",", 
      RowBox[{"iC", "[", "t", "]"}], ",", 
      RowBox[{"iR", "[", "t", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
    RowBox[{"StartingStepSize", "\[Rule]", 
     SuperscriptBox["10", 
      RowBox[{"-", "10"}]]}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.5279134139683533`*^9, 3.5279134479527283`*^9}, {
  3.5279138242183533`*^9, 3.5279138956402283`*^9}, {3.5279139297339783`*^9, 
  3.5279139819214783`*^9}, {3.5279150762964783`*^9, 3.5279151011246033`*^9}, {
  3.5279152140777283`*^9, 3.5279152723902283`*^9}, {3.5279153398589783`*^9, 
  3.5279153573902283`*^9}, {3.5279154193589783`*^9, 3.5279156166089783`*^9}, {
  3.5279162202339783`*^9, 3.5279162266089783`*^9}, {3.5279163549683533`*^9, 
  3.5279163675777283`*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"u2", "[", "t", "]"}], "/.", "sol"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5279159984527283`*^9, 3.5279160369058533`*^9}}],

Cell[BoxData["sol"], "Input"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"u2", "[", "t", "]"}], "/.", "sol"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "0.005"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5279157813746033`*^9, 3.5279158457183533`*^9}, {
  3.5279160667652283`*^9, 3.5279160686089783`*^9}, {3.5279161080933533`*^9, 
  3.5279161338902283`*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"iC", "[", "t", "]"}], "/.", "sol"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "0.005"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5279158812964783`*^9, 3.5279158934683533`*^9}}]
},
WindowSize->{1143, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->2.3999998569488525`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 862, 26, 210, "Input"],
Cell[1410, 48, 2569, 74, 574, "Input"],
Cell[3982, 124, 270, 7, 98, "Input"],
Cell[4255, 133, 29, 0, 98, "Input"],
Cell[4287, 135, 563, 15, 141, "Input"],
Cell[4853, 152, 271, 7, 98, "Input"]
}
]
*)

(* End of internal cache information *)
