(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      7533,        236]
NotebookOptionsPosition[      6794,        208]
NotebookOutlinePosition[      7172,        224]
CellTagsIndexPosition[      7129,        221]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 "Define variables n=3, m=5, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", " ", "=", " ", 
     RowBox[{"sin", 
      RowBox[{
       RowBox[{"(", "t", ")"}], "^", "n"}]}]}], ",", 
    RowBox[{"h", "=", 
     SuperscriptBox[
      RowBox[{"cos", "(", "t", ")"}], "n"]}]}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 ". Using ParametricPlot display vector {g,h} for -\[Pi]<t<\[Pi] and label \
plot axes. ",
 StyleBox["(2 points)",
  FontColor->RGBColor[0, 0, 1]],
 "\nDefine matrix mat={{Sin[fi],Cos[fi]},{Cos[fi],-Sin[fi]}}\\\nUsing \
Manipulate function display {g,h}.mat for -\[Pi]<fi<\[Pi], set plot range to \
{{-1,1},{-1,1}}. ",
 StyleBox["(4 points)",
  FontColor->RGBColor[0, 0, 1]]
}], "Text",
 CellChangeTimes->{{3.531038205140625*^9, 3.5310383063125*^9}, {
  3.5310383613125*^9, 3.53103854534375*^9}, {3.53103929290625*^9, 
  3.531039312296875*^9}}],

Cell[TextData[{
 "Using Table function create list of doubles ",
 Cell[BoxData[
  FormBox[
   RowBox[{"[", 
    RowBox[{
     RowBox[{"Fibonacci", "[", "i", "]"}], ",", 
     SuperscriptBox["k", "i"]}]}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 "] for k=2 and i= 1,2,3,...,100 ",
 StyleBox["(2 points)",
  FontColor->RGBColor[0, 0, 1]],
 "\n\\Using ListPlot with parameter Joined->True display the list. Label plot \
axes. ",
 StyleBox["(4 points)",
  FontColor->RGBColor[0, 0, 1]]
}], "Text",
 CellChangeTimes->{{3.531038205140625*^9, 3.5310383063125*^9}, {
  3.5310383613125*^9, 3.5310386693125*^9}, {3.531039315234375*^9, 
  3.531039326375*^9}}],

Cell[TextData[{
 "Voltage phasor on inductor element is Uf=10+2j, L=40mH and freqency is \
f=1MHz.\nDisplay \[Omega], T, voltage amplitude and voltage phase in rad. Use \
Print function. All the results should be displayed with correct unit. ",
 StyleBox["(5 points)",
  FontColor->RGBColor[0, 0, 1]],
 "\nUsing plot function display voltage in time domain for 0<t<2T. ",
 StyleBox["(1 point)",
  FontColor->RGBColor[0, 0, 1]],
 "\nCalculate and print inductor current phasor and amplitude. Results should \
be displayed with correct units. ",
 StyleBox["(2 points)",
  FontColor->RGBColor[0, 0, 1]]
}], "Text",
 CellChangeTimes->{{3.531038205140625*^9, 3.5310383063125*^9}, {
  3.5310383613125*^9, 3.5310386693125*^9}, {3.53103872696875*^9, 
  3.53103886240625*^9}, {3.531038945734375*^9, 3.531039065109375*^9}, {
  3.531039332984375*^9, 3.5310393576875*^9}}],

Cell[TextData[{
 "Using Plot function create list {i,3Sin[t]+Random[]}, i=0..10Pi with step \
0.01Pi ",
 StyleBox["(3 points)",
  FontColor->RGBColor[0, 0, 1]],
 "\nDisplay the result (use function ListPlot). Label all axes, point style \
should be set to blue. ",
 StyleBox["(2 points)",
  FontColor->RGBColor[0, 0, 1]]
}], "Text",
 CellChangeTimes->{{3.531038205140625*^9, 3.5310383063125*^9}, {
  3.5310383613125*^9, 3.5310386693125*^9}, {3.53103872696875*^9, 
  3.53103886240625*^9}, {3.531038945734375*^9, 3.53103918359375*^9}, {
  3.531039368078125*^9, 3.531039379375*^9}}],

Cell[TextData[{
 "25 points for \"Mathematica test\".\n25 points for \"Matlab&Simulink \
test\".\n",
 StyleBox["50 points in total. (50 points ",
  FontWeight->"Bold"],
 "\[Tilde]",
 StyleBox[" 100 %)\n",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.531039463890625*^9, 3.531039566765625*^9}, {
  3.53103996484375*^9, 3.531039984609375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"result", "[", "percent_", "]"}], ":=", "\"\<F\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"result", "[", "percent_", "]"}], ":=", 
   RowBox[{"\"\<A\>\"", "/;", 
    RowBox[{"percent", ">", "90"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"result", "[", "percent_", "]"}], ":=", 
   RowBox[{"\"\<B\>\"", "/;", 
    RowBox[{"90", "\[GreaterEqual]", "percent", ">", "80"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"result", "[", "percent_", "]"}], ":=", 
   RowBox[{"\"\<C\>\"", "/;", 
    RowBox[{"80", "\[GreaterEqual]", "percent", ">", "70"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"result", "[", "percent_", "]"}], ":=", 
   RowBox[{"\"\<D\>\"", "/;", 
    RowBox[{"70", "\[GreaterEqual]", "percent", ">", "60"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"result", "[", "percent_", "]"}], ":=", 
   RowBox[{"\"\<E\>\"", "/;", 
    RowBox[{"60", "\[GreaterEqual]", "percent", ">", "50"}]}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.531039604328125*^9, 3.53103964259375*^9}, {
  3.531039683328125*^9, 3.53103985821875*^9}, {3.531039899359375*^9, 
  3.5310399286875*^9}}],

Cell["Your final term test result would be result[percent].", "Text",
 CellChangeTimes->{{3.53104002184375*^9, 3.5310400701875*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"result", "[", "100", "]"}]], "Input",
 CellChangeTimes->{{3.531040071765625*^9, 3.5310400766875*^9}}],

Cell[BoxData["\<\"A\"\>"], "Output",
 CellChangeTimes->{3.531040077078125*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"i", ",", 
      RowBox[{"result", "[", "i", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "0", ",", "100", ",", "10"}], "}"}]}], "]"}], "//", 
  "TableForm"}]], "Input",
 CellChangeTimes->{{3.53104008378125*^9, 3.53104012321875*^9}}],

Cell[BoxData[
 TagBox[GridBox[{
    {"0", "\<\"F\"\>"},
    {"10", "\<\"F\"\>"},
    {"20", "\<\"F\"\>"},
    {"30", "\<\"F\"\>"},
    {"40", "\<\"F\"\>"},
    {"50", "\<\"F\"\>"},
    {"60", "\<\"E\"\>"},
    {"70", "\<\"D\"\>"},
    {"80", "\<\"C\"\>"},
    {"90", "\<\"B\"\>"},
    {"100", "\<\"A\"\>"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.7]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.53104011415625*^9, 3.531040123953125*^9}}]
}, Open  ]]
},
WindowSize->{1273, 884},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->2.200000047683716,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 898, 25, 166, "Text"],
Cell[1446, 47, 662, 19, 100, "Text"],
Cell[2111, 68, 860, 17, 238, "Text"],
Cell[2974, 87, 579, 13, 95, "Text"],
Cell[3556, 102, 352, 10, 168, "Text"],
Cell[3911, 114, 1292, 36, 320, "Input"],
Cell[5206, 152, 132, 1, 59, "Text"],
Cell[CellGroupData[{
Cell[5363, 157, 125, 2, 91, "Input"],
Cell[5491, 161, 78, 1, 90, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5606, 167, 343, 10, 91, "Input"],
Cell[5952, 179, 826, 26, 404, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
