(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     14351,        417]
NotebookOptionsPosition[     13485,        389]
NotebookOutlinePosition[     13969,        407]
CellTagsIndexPosition[     13926,        404]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 "Define variables n=3, m=5, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", " ", "=", " ", 
     RowBox[{"sin", 
      RowBox[{
       RowBox[{"(", "t", ")"}], "^", "n"}]}]}], ",", 
    RowBox[{"h", "=", 
     SuperscriptBox[
      RowBox[{"cos", "(", "t", ")"}], "n"]}]}], TraditionalForm]]],
 ". Using ParametricPlot display vector {g,h} for -\[Pi]<t<\[Pi] and label \
plot axes. ",
 StyleBox["(2 points)",
  FontColor->RGBColor[0, 0, 1]],
 "\nDefine matrix mat={{Sin[fi],Cos[fi]},{Cos[fi],-Sin[fi]}}\\\nUsing \
Manipulate function display {g,h}.mat for -\[Pi]<fi<\[Pi], set plot range to \
{{-1,1},{-1,1}}. ",
 StyleBox["(4 points)",
  FontColor->RGBColor[0, 0, 1]]
}], "Text",
 CellChangeTimes->{{3.531038205140625*^9, 3.5310383063125*^9}, {
  3.5310383613125*^9, 3.53103854534375*^9}, {3.53103929290625*^9, 
  3.531039312296875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"n", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"m", "=", "5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"g", "=", 
   SuperscriptBox[
    RowBox[{"Sin", "[", "t", "]"}], "n"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"h", "=", 
   SuperscriptBox[
    RowBox[{"Cos", "[", "t", "]"}], "n"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ParametricPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"g", ",", "h"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", 
     RowBox[{"-", "\[Pi]"}], ",", "\[Pi]"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", "\"\<Asteroida\>\""}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mat", "[", "fi_", "]"}], "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Sin", "[", "fi", "]"}], ",", 
       RowBox[{"Cos", "[", "fi", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Cos", "[", "fi", "]"}], ",", 
       RowBox[{"-", 
        RowBox[{"Sin", "[", "fi", "]"}]}]}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"ParametricPlot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"g", ",", "h"}], "}"}], ".", 
       RowBox[{"mat", "[", "fi", "]"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{"-", "\[Pi]"}], ",", "\[Pi]"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "\"\<Asteroida\>\""}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"fi", ",", 
     RowBox[{"-", "\[Pi]"}], ",", "\[Pi]"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.53162724653125*^9, 3.531627431390625*^9}, {
   3.53162746315625*^9, 3.531627482015625*^9}, {3.5316275516875*^9, 
   3.5316275788125*^9}, {3.531627671984375*^9, 3.531627679671875*^9}, {
   3.531627771203125*^9, 3.53162779984375*^9}, {3.531632914421875*^9, 
   3.531632941546875*^9}, 3.531632989921875*^9, 3.531633645578125*^9}],

Cell[TextData[{
 "Using Table function create list of doubles ",
 Cell[BoxData[
  FormBox[
   RowBox[{"[", 
    RowBox[{
     RowBox[{"Fibonacci", "[", "i", "]"}], ",", 
     SuperscriptBox["k", "i"]}]}], TraditionalForm]]],
 "] for k=2 and i= 1,2,3,...,100 ",
 StyleBox["(2 points)",
  FontColor->RGBColor[0, 0, 1]],
 "\n\\Using ListPlot with parameter Joined->True display the list. Label plot \
axes. ",
 StyleBox["(4 points)",
  FontColor->RGBColor[0, 0, 1]]
}], "Text",
 CellChangeTimes->{{3.531038205140625*^9, 3.5310383063125*^9}, {
  3.5310383613125*^9, 3.5310386693125*^9}, {3.531039315234375*^9, 
  3.531039326375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"tab", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Fibonacci", "[", "i", "]"}], ",", 
        SuperscriptBox["k", "i"]}], "}"}], "/.", 
      RowBox[{"k", "\[Rule]", "2"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "100"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{"tab", ",", 
   RowBox[{"Joined", "->", "True"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.531627875515625*^9, 3.531627944234375*^9}, {
  3.531627976796875*^9, 3.531627995390625*^9}, {3.531628035640625*^9, 
  3.5316280725*^9}}],

Cell[TextData[{
 "Voltage phasor on inductor element is Uf=10+2j, L=40mH and freqency is \
f=1MHz.\nDisplay \[Omega], T, voltage amplitude and voltage phase in rad. Use \
Print function. All the results should be displayed with correct unit. ",
 StyleBox["(5 points)",
  FontColor->RGBColor[0, 0, 1]],
 "\nUsing plot function display voltage in time domain for 0<t<2T. ",
 StyleBox["(1 point)",
  FontColor->RGBColor[0, 0, 1]],
 "\nCalculate and print inductor current phasor and amplitude. Results should \
be displayed with correct units. ",
 StyleBox["(2 points)",
  FontColor->RGBColor[0, 0, 1]]
}], "Text",
 CellChangeTimes->{{3.531038205140625*^9, 3.5310383063125*^9}, {
  3.5310383613125*^9, 3.5310386693125*^9}, {3.53103872696875*^9, 
  3.53103886240625*^9}, {3.531038945734375*^9, 3.531039065109375*^9}, {
  3.531039332984375*^9, 3.5310393576875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Uf", "=", 
   RowBox[{"10", "+", 
    RowBox[{"2", "I"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f", "=", 
   RowBox[{"1", "*", 
    SuperscriptBox["10", "6"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"L", "=", 
   RowBox[{"40", "*", 
    SuperscriptBox["10", 
     RowBox[{"-", "3"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ufa", "=", 
   RowBox[{"Norm", "[", "Uf", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]", "=", 
   RowBox[{"2", "\[Pi]", "*", "f"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fi", "=", 
   RowBox[{"ArcTan", "[", 
    RowBox[{
     RowBox[{"Re", "[", "Uf", "]"}], ",", 
     RowBox[{"Im", "[", "Uf", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"T", "=", 
   RowBox[{"N", "[", 
    RowBox[{"1", "/", "f"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<\[Omega]= \>\"", ",", "\[Omega]", ",", "\"\< rad/s\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<T= \>\"", ",", "T", ",", "\"\< s\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Voltage amplitude (effective value)= \>\"", ",", 
   RowBox[{
    RowBox[{"Norm", "[", "Ufa", "]"}], "//", "N"}], ",", "\"\< V\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Voltage amplitude (max. value)= \>\"", ",", 
   RowBox[{
    RowBox[{
     SqrtBox["2"], 
     RowBox[{"Norm", "[", "Ufa", "]"}]}], "//", "N"}], ",", "\"\< V\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Voltage phase= \>\"", ",", 
   RowBox[{"fi", "//", "N"}], ",", "\"\< rad\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Ufa", "*", 
    SqrtBox["2"], "*", 
    RowBox[{"Sin", "[", 
     RowBox[{
      RowBox[{"\[Omega]", "*", "t"}], "+", "fi"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", 
     RowBox[{"2", "*", "T"}]}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t (s)\>\"", ",", "\"\<u (V)\>\""}], "}"}]}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Current phasor= \>\"", ",", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Uf", "/", 
      RowBox[{"(", 
       RowBox[{"I", "*", "\[Omega]", "*", "L"}], ")"}]}], "*", 
     SuperscriptBox["10", "6"]}], "//", "N"}], ",", "\"\< (\[Mu]A)\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Current amplitude= \>\"", ",", " ", 
   RowBox[{
    RowBox[{"Norm", "[", 
     RowBox[{
      RowBox[{"Uf", "/", 
       RowBox[{"(", 
        RowBox[{"I", "*", "\[Omega]", "*", "L"}], ")"}]}], "*", 
      SuperscriptBox["10", "6"]}], "]"}], "//", "N"}], ",", 
   "\"\< (\[Mu]A)\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.531628147*^9, 3.531628192578125*^9}, {
  3.53162825115625*^9, 3.531628311078125*^9}, {3.5316283503125*^9, 
  3.531628398640625*^9}, {3.5316285948125*^9, 3.531628669109375*^9}, {
  3.531628706171875*^9, 3.5316287455625*^9}, {3.531628811796875*^9, 
  3.531628891703125*^9}, {3.531629365265625*^9, 3.5316293924375*^9}, {
  3.531629429265625*^9, 3.5316294870625*^9}, {3.5316295235*^9, 
  3.531629664671875*^9}, {3.531629705484375*^9, 3.531629772171875*^9}, {
  3.531629824171875*^9, 3.5316298700625*^9}, {3.53162996465625*^9, 
  3.5316299698125*^9}, {3.531630003359375*^9, 3.5316300234375*^9}, {
  3.531630090484375*^9, 3.531630124640625*^9}, {3.531630292890625*^9, 
  3.53163030921875*^9}}],

Cell[TextData[{
 "Using Plot function create list {i,3Sin[i]+Random[]}, i=0..10Pi with step \
0.01Pi ",
 StyleBox["(3 points)",
  FontColor->RGBColor[0, 0, 1]],
 "\nDisplay the result (use function ListPlot). Label all axes, point style \
should be set to blue. ",
 StyleBox["(2 points)",
  FontColor->RGBColor[0, 0, 1]]
}], "Text",
 CellChangeTimes->{{3.531038205140625*^9, 3.5310383063125*^9}, {
  3.5310383613125*^9, 3.5310386693125*^9}, {3.53103872696875*^9, 
  3.53103886240625*^9}, {3.531038945734375*^9, 3.53103918359375*^9}, {
  3.531039368078125*^9, 3.531039379375*^9}, {3.531632545625*^9, 
  3.531632546609375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"list", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{
        RowBox[{"3", 
         RowBox[{"Sin", "[", "i", "]"}]}], "+", 
        RowBox[{"Random", "[", "]"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", 
       RowBox[{"10", "\[Pi]"}], ",", 
       RowBox[{"0.01", "\[Pi]"}]}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{"ListPlot", "[", 
  RowBox[{"list", ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "Blue"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.531632405390625*^9, 3.531632436921875*^9}, {
   3.531632552703125*^9, 3.53163256003125*^9}, 3.531633794171875*^9}],

Cell[TextData[{
 "25 points for \"Mathematica test\".\n25 points for \"Matlab&Simulink \
test\".\n",
 StyleBox["50 points in total. (50 points ",
  FontWeight->"Bold"],
 "\[Tilde]",
 StyleBox[" 100 %)\n",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.531039463890625*^9, 3.531039566765625*^9}, {
  3.53103996484375*^9, 3.531039984609375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"result", "[", "percent_", "]"}], ":=", "\"\<F\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"result", "[", "percent_", "]"}], ":=", 
   RowBox[{"\"\<A\>\"", "/;", 
    RowBox[{"percent", ">", "90"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"result", "[", "percent_", "]"}], ":=", 
   RowBox[{"\"\<B\>\"", "/;", 
    RowBox[{"90", "\[GreaterEqual]", "percent", ">", "80"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"result", "[", "percent_", "]"}], ":=", 
   RowBox[{"\"\<C\>\"", "/;", 
    RowBox[{"80", "\[GreaterEqual]", "percent", ">", "70"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"result", "[", "percent_", "]"}], ":=", 
   RowBox[{"\"\<D\>\"", "/;", 
    RowBox[{"70", "\[GreaterEqual]", "percent", ">", "60"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"result", "[", "percent_", "]"}], ":=", 
   RowBox[{"\"\<E\>\"", "/;", 
    RowBox[{"60", "\[GreaterEqual]", "percent", ">", "50"}]}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.531039604328125*^9, 3.53103964259375*^9}, {
  3.531039683328125*^9, 3.53103985821875*^9}, {3.531039899359375*^9, 
  3.5310399286875*^9}}],

Cell["Your final term test result would be result[percent].", "Text",
 CellChangeTimes->{{3.53104002184375*^9, 3.5310400701875*^9}}],

Cell[BoxData[
 RowBox[{"result", "[", "100", "]"}]], "Input",
 CellChangeTimes->{{3.531040071765625*^9, 3.5310400766875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"i", ",", 
      RowBox[{"result", "[", "i", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "0", ",", "100", ",", "10"}], "}"}]}], "]"}], "//", 
  "TableForm"}]], "Input",
 CellChangeTimes->{{3.53104008378125*^9, 3.53104012321875*^9}}]
},
WindowSize->{1519, 884},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingPageRange->{Automatic, Automatic},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.5, 1.5 Inherited],
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (October 6, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 865, 24, 90, "Text"],
Cell[1413, 46, 2530, 72, 233, "Input"],
Cell[3946, 120, 629, 18, 70, "Text"],
Cell[4578, 140, 778, 22, 75, "Input"],
Cell[5359, 164, 860, 17, 115, "Text"],
Cell[6222, 183, 3568, 95, 456, "Input"],
Cell[9793, 280, 625, 14, 66, "Text"],
Cell[10421, 296, 801, 22, 71, "Input"],
Cell[11225, 320, 352, 10, 115, "Text"],
Cell[11580, 332, 1292, 36, 206, "Input"],
Cell[12875, 370, 132, 1, 41, "Text"],
Cell[13010, 373, 125, 2, 43, "Input"],
Cell[13138, 377, 343, 10, 43, "Input"]
}
]
*)

(* End of internal cache information *)
